package hu.bme.mit.ftsrg.healthcentre.model;

import java.util.Date;

public final class Appointment {
	private final Doctor doctor;
	private final Patient patient;
	private final Date date;

	public Appointment(Doctor doctor, Patient patient, Date date) {
		this.doctor = doctor;
		this.patient = patient;
		this.date = date;

		doctor.appointments().add(this);
		patient.appointments().add(this);
	}

	public Doctor getDoctor() {
		return doctor;
	}

	public Patient getPatient() {
		return patient;
	}

	public Date getDate() {
		return date;
	}

	public void delete() {
		doctor.appointments().remove(this);
		patient.appointments().remove(this);
	}

	@Override
	public String toString() {
		return String.format("%s - %s: %s)", doctor, patient, date);
	}
}
