package hu.bme.mit.ftsrg.healthcentre.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.SortedSet;
import java.util.TreeSet;

public final class Doctor {
	private String name;
	private int sealNumber;
	private String password;
	private final SortedSet<Date> availableDates = new TreeSet<>();
	private final List<Appointment> appointments = new ArrayList<>();

	public Doctor() {
	}

	public Doctor(String name, int sealNumber, String password) {
		this.name = name;
		this.sealNumber = sealNumber;
		this.password = password;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getSealNumber() {
		return sealNumber;
	}

	public void setSealNumber(int sealNumber) {
		this.sealNumber = sealNumber;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public SortedSet<Date> availableDates() {
		return availableDates;
	}

	public List<Appointment> appointments() {
		return appointments;
	}

	public Appointment getAppointmentByDate(Date date) {
		for (Appointment appointment : appointments) {
			if (appointment.getDate().equals(date)) {
				return appointment;
			}
		}

		return null;
	}

	@Override
	public String toString() {
		return String.format("%s (%05d)", name, sealNumber);
	}
}