package hu.bme.mit.ftsrg.healthcentre.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public final class Patient {
	private String name;
	private String insuranceNumber;
	private final List<Appointment> appointments = new ArrayList<>();

	public Patient() {
	}

	public Patient(String name, String insuranceNumber) {
		this.name = name;
		this.insuranceNumber = insuranceNumber;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getInsuranceNumber() {
		return insuranceNumber;
	}

	public void setInsuranceNumber(String insuranceNumber) {
		this.insuranceNumber = insuranceNumber;
	}

	public List<Appointment> appointments() {
		return appointments;
	}

	public Appointment getAppointmentByDate(Date date) {
		for (Appointment appointment : appointments) {
			if (appointment.getDate().equals(date)) {
				return appointment;
			}
		}

		return null;
	}

	@Override
	public String toString() {
		return String.format("%s (%s)", getName(), insuranceNumber);
	}
}
